Gimp 2.10 raw image import with Darktable fails [SOLVED]

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
cotcot
Level 1
Level 1
Posts: 2
Joined: Sat May 12, 2018 10:33 am

Gimp 2.10 raw image import with Darktable fails [SOLVED]

Post by cotcot »

Using Mint 18.3 (fresh install).
Gimp 2.10 installed with Flatpak as recommended by Mint.
Import of raw images is expected to be out of the box as long as rawtherepee or darktable is installed. I installed both. Darktable as the flatpak version.

This is what I get when opening a raw image (.cr2) :

There is no RAW loader installed to open 'Raw Canon' files.

GIMP currently supports these RAW loaders:
- darktable (http://www.darktable.org/), at least 1.7
- RawTherapee (http://rawtherapee.com/), at least 5.2

Please install one of them in order to load RAW files.

This is what I see in Gimp 2.10 --> Edit --> preferences --> Image Import & Export --> Raw image importer :

${gimp_plug_in_dir}/plug-ins/file-raw-placeholder

I would expect darktable but cannot change it.

Any ideas to solve this ?

Thanks
Last edited by cotcot on Sun May 13, 2018 10:30 am, edited 1 time in total.
User avatar
BenTrabetere
Level 7
Level 7
Posts: 1759
Joined: Sat Jul 19, 2014 12:04 am
Location: Hattiesburg, MS USA

Re: Gimp 2.10 raw image import with Darktable fails

Post by BenTrabetere »

Here is what the GIMP Downloads page has to say about the GIMP 2.10 flatpak: "The flatpak build is very new and therefore may have shortcomings." RAW image import may be one of those shortcomings.

I just installed this flatpak, and it did not have any RAW Image Importers listed. I do not know if this is a limitation of flatpak or a limitation of this flatpak. I suspect it is a little of both.
cotcot wrote:
Sat May 12, 2018 10:49 am
Any ideas to solve this ?
Try the AppImage for GIMP 2.10. It also is not a perfect solution, but I think it is a much better solution than flatpak. The darktable and RAWTherapee plug-ins are added to the AppImage, and the one for darktable worked for me.

I am not using the darktable flatpak. I added the PPA and installed it properly. I do not know if the GIMP AppImage will play nice with the darktable flatpak - I suspect it will fail, but it might be interesting to try.

The current AppImage gimp-git-2.10.1-20180512.glibc2.15-x86_64.AppImage
You can find it here: https://github.com/aferrero2707/gimp-ap ... continuous.
cotcot
Level 1
Level 1
Posts: 2
Joined: Sat May 12, 2018 10:33 am

Re: Gimp 2.10 raw image import with Darktable fails

Post by cotcot »

Thanks BenTrabetere. I installed Darktable with the PPA of De Bruyn. The Gimp appimage is doing what I hoped.
User avatar
BenTrabetere
Level 7
Level 7
Posts: 1759
Joined: Sat Jul 19, 2014 12:04 am
Location: Hattiesburg, MS USA

Re: Gimp 2.10 raw image import with Darktable fails

Post by BenTrabetere »

cotcot wrote:
Sun May 13, 2018 10:29 am
The Gimp appimage is doing what I hoped.
I am glad it worked.

You might want monitor that AppImage site - it appears the maintainer is updating the AppImage frequently. A conversation on the AppImage github suggests he is interested in ways to add plug-ins.
Post Reply

Return to “Software & Applications”